Index Page ldpool_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void ldpool_c ( ConstSpiceChar * filename )
#### Abstract
       Load the variables contained in a NAIF ASCII kernel file into the
       kernel pool.
#### Required_Reading
       KERNEL
#### Keywords
       CONSTANTS
       FILES
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       filename   I   Name of the kernel file.
#### Detailed_Input
       filename   is the name of the kernel file whose variables will be
                  loaded into the pool.
#### Detailed_Output
       None.
#### Parameters
       None.
#### Exceptions
       1) The error SPICE(EMPTYSTRING) is signalled if the input
          string does not contain at least one character, since the
          input string cannot be converted to a Fortran-style string
          in this case.

       2) The error SPICE(NULLPOINTER) is signalled if the input string
          pointer is null.
#### Files
       The NAIF ASCII kernel file kernel is opened by rdknew_.
#### Particulars
       Text kernels input to this routine need not have native line
       terminators for the platform. Lower level CSPICE routines can
       read and process non-native text files. This functionality does
       not exist in the Fortran SPICELIB.

       Only text kernel readers include the non-native read capability,
       (ldpool_c and furnsh_c), the generic text file line reader, rdtext_c
       requires native text files.

       Please refer to kernel.req for additiional information.
#### Examples
       The following code fragment demonstrates how the data from
       several kernel files can be loaded into a kernel pool. After the
       pool is loaded, the values in the pool are written to a kernel
       file.

          /.
          Store in an array the names of the kernel files whose
          values will be loaded into the kernel pool.
          ./
          kernel [0] = "AXES.KER";
          kernel [1] = "GM.KER";
          kernel [2] = "LEAP_SECONDS.KER";

          /.
          Clear the kernel pool. (This is optional.)
          ./
          clpool_c();

          /.
          Load the variables from the three kernel files into the
          the kernel pool.
          ./
          for ( i = 0; i < 3; i++ )
             {
             ldpool_c ( kernel [i] );
             }
#### Restrictions
       None.
#### Literature_References
       kernel.req
#### Author_and_Institution
       R.E. Thurman    (JPL)
       I.M. Underwood  (JPL)
       B.V. Semenov    (JPL)
       W.L. Taber      (JPL)
       E.D. Wright     (JPL)
#### Version
       -CSPICE Version 2.0.2, 27-FEB-2008 (BVS)

           Corrected the contents of the Required_Reading section of
           the header.

       -CSPICE Version 2.0.1, 17-OCT-2005 (EDW)

          Added text to Particulars section informing of the
          non-native kernel text file reading capability.

       -CSPICE Version 2.0.0, 08-FEB-1998 (NJB)

          Input argument kernel was changed to type ConstSpiceChar * and
          was given the new name "filename."

          Re-implemented routine without dynamically allocated, temporary
          strings.  Made several corrections to the code example.  Renamed
          the argument "filename" to "kernel" for consistency with the
          header comments.

       -CSPICE Version 1.0.0, 25-OCT-1997  (EDW)
#### Index_Entries
       LOAD variables from a text kernel file into the pool
#### Link to routine ldpool_c source file ldpool_c.c

    Wed Jun  9 13:05:25 2010